## com.baidubce.services.bos.model
Class DeleteObjectRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.bos.model.GenericBucketRequest
              com.baidubce.services.bos.model.GenericObjectRequest
                  com.baidubce.services.bos.model.DeleteObjectRequest

    public class DeleteObjectRequest

extends GenericObjectRequest

Constructor Summary
`DeleteObjectRequest(String bucketName, String key)`

Method Summary
`DeleteObjectRequest` `withBucketName(String bucketName)`
`DeleteObjectRequest` `withKey(String key)`
`DeleteObjectRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.services.bos.model.GenericObjectRequest
`getKey, setKey`

Methods inherited from class com.baidubce.services.bos.model.GenericBucketRequest
`getBucketName, setBucketName`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteObjectRequest

    public DeleteObjectRequest(String bucketName,
                               String key)

Method Detail

### withRequestCredentials

    public DeleteObjectRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

### withBucketName

    public DeleteObjectRequest withBucketName(String bucketName)

  Specified by:
    `withBucketName` in class `GenericBucketRequest`

### withKey

    public DeleteObjectRequest withKey(String key)

  Specified by:
    `withKey` in class `GenericObjectRequest`

Copyright © 2016. All rights reserved.